Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.stack
Class StackConfig

    java.lang.Object
      org.maltparser.parser.ParserConfiguration
          org.maltparser.parser.algorithm.stack.StackConfig

    public class StackConfig

extends ParserConfiguration

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.parser.ParserConfiguration
`historyNode`

Constructor Summary
`StackConfig(SymbolTableHandler symbolTableHandler)`

Method Summary
`void` | `clear()` Clears the parser configuration
`boolean` | `equals(Object obj)`
`DependencyStructure` | `getDependencyGraph()` Returns the dependency structure
`DependencyStructure` | `getDependencyStructure()`
`Stack<DependencyNode>` | `getInput()`
`DependencyNode` | `getInputNode(int index)`
`DependencyNode` | `getLookaheadNode(int index)`
`Stack<DependencyNode>` | `getStack()`
`DependencyNode` | `getStackNode(int index)`
`void` | `initialize(ParserConfiguration parserConfiguration)` Initialize the parser configuration with the same state as the parameter config
`boolean` | `isTerminalState()` Returns true if the parser configuration is in a terminal state, otherwise false.
`void` | `lookaheadDecrement()`
`void` | `lookaheadIncrement()`
`void` | `setDependencyGraph(DependencyStructure source)` Sets the dependency structure
`String` | `toString()`

Methods inherited from class org.maltparser.parser.ParserConfiguration
`getHistoryNode, setHistoryNode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackConfig

    public StackConfig(SymbolTableHandler symbolTableHandler)
                throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### getStack

    public Stack<DependencyNode> getStack()

### getInput

    public Stack<DependencyNode> getInput()

### getDependencyStructure

    public DependencyStructure getDependencyStructure()

### isTerminalState

    public boolean isTerminalState()

  Description copied from class: `ParserConfiguration`
  Returns true if the parser configuration is in a terminal state, otherwise false.

  Specified by:
    `isTerminalState` in class `ParserConfiguration`
  Returns:
    true if the parser configuration is in a terminal state, otherwise false.

### getStackNode

    public DependencyNode getStackNode(int index)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### getLookaheadNode

    public DependencyNode getLookaheadNode(int index)
                                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### getInputNode

    public DependencyNode getInputNode(int index)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### setDependencyGraph

    public void setDependencyGraph(DependencyStructure source)
                            throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Sets the dependency structure

  Specified by:
    `setDependencyGraph` in class `ParserConfiguration`
  Parameters:
    `source` - a dependency structure
  Throws:
    `MaltChainedException`

### lookaheadIncrement

    public void lookaheadIncrement()

### lookaheadDecrement

    public void lookaheadDecrement()

### getDependencyGraph

    public DependencyStructure getDependencyGraph()

  Description copied from class: `ParserConfiguration`
  Returns the dependency structure

  Specified by:
    `getDependencyGraph` in class `ParserConfiguration`
  Returns:
    the dependency structure

### initialize

    public void initialize(ParserConfiguration parserConfiguration)
                    throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Initialize the parser configuration with the same state as the parameter config

  Specified by:
    `initialize` in class `ParserConfiguration`
  Parameters:
    `parserConfiguration` - a parser configuration
  Throws:
    `MaltChainedException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### clear

    public void clear()
               throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Clears the parser configuration

  Specified by:
    `clear` in class `ParserConfiguration`
  Throws:
    `MaltChainedException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.